import 'bjy_liveui_flutter_platform_interface.dart';

/// 直播间模版
enum BJYUILayoutTemplate {
  /// 三分屏模版
  Triple,

  /// 企业竖屏直播
  Enterprise,

  /// 直播带货
  Sell,

  /// 专业小班课
  Professional,
}

extension EnumActionExtension on BJYUILayoutTemplate {
  String get name {
    switch (this) {
      case BJYUILayoutTemplate.Triple:
        return 'triple';
      case BJYUILayoutTemplate.Enterprise:
        return 'enterprise';
      case BJYUILayoutTemplate.Sell:
        return 'sell';
      case BJYUILayoutTemplate.Professional:
        return 'professional';
    }
  }
}

class BJYLiveUIFlutter {
  void init(String domain) {
    BJYLiveUIFlutterPlatform.instance.init(domain);
  }

  void startLiveByCodeWithLayoutTemplateAndCodeAndUserName(
      BJYUILayoutTemplate template, String code, String userName) {
    return BJYLiveUIFlutterPlatform.instance
        .startLiveByCodeWithLayoutTemplateAndCodeAndUserName(
            template, code, userName);
  }

  void startLiveBySignWithLayoutTemplateAndRoomIDAndSignAndUserInfo(
      BJYUILayoutTemplate template, String roomID, String sign, Map userInfo) {
    BJYLiveUIFlutterPlatform.instance
        .startLiveBySignWithLayoutTemplateAndRoomIDAndSignAndUserInfo(
            template, roomID, sign, userInfo);
  }
}
