import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';
import 'bjy_liveui_flutter_platform_interface.dart';
import 'bjy_liveui_flutter.dart';

/// An implementation of [BJYLiveUIFlutterPlatform] that uses method channels.
class MethodChannelBJYLiveUIFlutter extends BJYLiveUIFlutterPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('bjy_liveui_flutter');

  @override
  void init(String domain) {
    methodChannel.invokeMethod("init", {"domain": domain});
  }

  @override
  void startLiveByCodeWithLayoutTemplateAndCodeAndUserName(
      BJYUILayoutTemplate template, String code, String userName) {
    methodChannel.invokeMethod(
        "startLiveByCodeWithLayoutTemplateAndCodeAndUserName",
        {"template": template.name, "code": code, "userName": userName});
  }

  @override
  void startLiveBySignWithLayoutTemplateAndRoomIDAndSignAndUserInfo(
      BJYUILayoutTemplate template, String roomID, String sign, Map userInfo) {
    methodChannel.invokeMethod(
        "startLiveBySignWithLayoutTemplateAndRoomIDAndSignAndUserInfo", {
      "template": template.name,
      "roomID": roomID,
      "sign": sign,
      "userInfo": userInfo
    });
  }
}
