import 'dart:ffi';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';
import 'bjy_liveui_flutter_method_channel.dart';
import 'bjy_liveui_flutter.dart';

abstract class BJYLiveUIFlutterPlatform extends PlatformInterface {
  /// Constructs a BJYLiveUIFlutterPlatform.
  BJYLiveUIFlutterPlatform() : super(token: _token);

  static final Object _token = Object();

  static BJYLiveUIFlutterPlatform _instance = MethodChannelBJYLiveUIFlutter();

  /// The default instance of [BJYLiveUIFlutterPlatform] to use.
  ///
  /// Defaults to [MethodChannelBJYLiveUIFlutter].
  static BJYLiveUIFlutterPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [BJYLiveUIFlutterPlatform] when
  /// they register themselves.
  static set instance(BJYLiveUIFlutterPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  void init(String domain) {
    throw UnimplementedError(
        'init() has not been implemented.');
  }

  void startLiveByCodeWithLayoutTemplateAndCodeAndUserName(
      BJYUILayoutTemplate template, String code, String userName) {
    throw UnimplementedError(
        'startLiveTripleTemplateWithCodeAndUserName() has not been implemented.');
  }

  void startLiveBySignWithLayoutTemplateAndRoomIDAndSignAndUserInfo(
      BJYUILayoutTemplate template, String roomID, String sign, Map userInfo) {
    throw UnimplementedError(
        'startLiveTripleTemplateBySignWithRoomIDAndSignAndUserInfo() has not been implemented.');
  }
}
