import 'package:flutter_test/flutter_test.dart';
import 'package:bjy_liveui_flutter/bjy_liveui_flutter.dart';
import 'package:bjy_liveui_flutter/bjy_liveui_flutter_platform_interface.dart';
import 'package:bjy_liveui_flutter/bjy_liveui_flutter_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockBJYLiveUIFlutterPlatform
    with MockPlatformInterfaceMixin
    implements BJYLiveUIFlutterPlatform {
  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final BJYLiveUIFlutterPlatform initialPlatform =
      BJYLiveUIFlutterPlatform.instance;

  test('$MethodChannelBJYLiveUIFlutter is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelBJYLiveUIFlutter>());
  });

  test('getPlatformVersion', () async {
    BJYLiveUIFlutter BJYLiveUIFlutterPlugin = BJYLiveUIFlutter();
    MockBJYLiveUIFlutterPlatform fakePlatform = MockBJYLiveUIFlutterPlatform();
    BJYLiveUIFlutterPlatform.instance = fakePlatform;

    expect(await BJYLiveUIFlutterPlugin.getPlatformVersion(), '42');
  });
}
